import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AlbumComponent } from './album/album.component';
import { CertificationComponent } from './certification/certification.component';
import { FeedbackComponent } from './feedback/feedback.component';
import { ProfileComponent } from './profile/profile.component';
import { SettingComponent } from './setting/setting.component';
import { ShareComponent } from './share/share.component';
const routes: Routes = [
  {
    path: 'profile/:id',//实名
    component: ProfileComponent,
  },
  {
    path: 'idcard',//实名
    component: CertificationComponent,
  },
  {
    path: 'album',//相册
    component: AlbumComponent,
  },
  {
    path: 'feedback',//意见反馈
    component: FeedbackComponent,
  },
  {
    path: 'share',//分享
    component: ShareComponent,
  },
  {
    path: 'setting',//设置
    component: SettingComponent,
  },
  
]
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class UserRoutingModule { }
